Synchronet now requires the libarchive development package (e.g. libarchive-dev on Debian-based Linux distros, libarchive.org for more info) to build successfully.

...
 

There isn't anything to compare.

You'll need to use different branch names to get a valid comparison.